Bug 41568 - BUGZILLAASSISTANT: user-friendly bug submission: gracefully handle bad gateway
Summary: BUGZILLAASSISTANT: user-friendly bug submission: gracefully handle bad gateway
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA
Keywords: needsDevEval, skillJavaScript, topicQA, topicWeb
Depends on:
Blocks:
 
Reported: 2011-10-07 10:13 UTC by Kevin Hunter
Modified: 2015-12-15 23:47 UTC (History)
3 users (show)

See Also:


Attachments
Screenshot of a "502 Bad Gateway" error message. (82.62 KB, image/png)
2011-10-07 10:13 UTC, Kevin Hunter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Hunter 2011-10-07 10:13:57 UTC
Created attachment 52092 [details]
Screenshot of a "502 Bad Gateway" error message.

Since it's apparently not /that/ uncommon of an occurrence, the user-friendly bug reporter might consider handling more gracefully the issue of a bad gateway.

While submitting a first couple of trial bug reports on this form about 15 minutes ago, I encountered an error after submitting.  In a red box at top was this error message:

"could not match title>Bug ([0-9]+) on the string returned by the server <head> <title>502 Bad Gateway</title> </head><body> <h1>Bad Gateway</h1> <p>The proxy server received an invalid response from an upstream server.<br> </p> <p>Additionally, a 400 Bad Request error was encountered while trying to use an ErrorDocument to handle the request.</p> </body>"

For a plus point, I note that my text was not lost, as often happens with web forms.

Please find attached a screenshot of the "502 Bad Gateway" result.
Comment 1 Rainer Bielefeld Retired 2011-10-10 22:05:38 UTC
This has nothing to do with LibO Master build
Comment 2 Petr Mladek 2011-12-13 11:26:50 UTC
See
http://wiki.documentfoundation.org/Bug_Submission_Assistant#Installation_and_maintainance
where to start debugging.
Comment 3 Rainer Bielefeld Retired 2013-03-08 05:31:20 UTC
Loic is no longer active.

@Rob
Can you please take this one?
Comment 4 Rob Snelders 2013-03-15 20:51:48 UTC
This has already been fixed for a while.

Message is now: "It seems there is a problem to connect with Bugzilla. Please try again later."
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:47:45 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval, SkillJavaScript TopicWeb TopicQA )
[NinjaEdit]